BeamElementInfo Class

class NXOpen.CAE.BeamElementInfo

Bases: NXOpen.TransientObject

Represents a Beam Element Information.

To obtain an instance of this class use CAE::BeamElementInfoHandler::AskElemInfo

New in version NX11.0.0.

Properties

Property Description
HasSectionAssignedAtAftEnd Returns a boolean value that indicates whether a cross section object is assigned to the aft end of the beam element.
HasSectionAssignedAtForeEnd Returns a boolean value that indicates whether a cross section object is assigned to the fore end of the beam element.
IsTapered Returns a boolean value that indicates whether the beam element is a tapered beam element.
LanguageOffsetAtAftEnd Returns the language specific offset at the aft end of the beam element, that is to offset the shear center of the cross section at the fore end of the beam element to the fore node of the beam element in the nodal displacement coordinate system when current solver is Nastran solver.
LanguageOffsetAtForeEnd Returns the language specific offset at the fore end of the beam element, that is to offset the shear center of the cross section at the fore end of the beam element to the fore node of the beam element in the nodal displacement coordinate system when current solver is Nastran solver.
NeutralOffsetAtAftEnd Returns the neutral offset at the aft end of the beam element, that is to offset the centroid of the cross section at the aft end of the beam element to the aft node of the beam element in the neutral coordinate system.
NeutralOffsetAtForeEnd Returns the neutral offset at the fore end of the beam element, that is to offset the centroid of the cross section at the fore end of the beam element to the fore node of the beam element in the neutral coordinate system.
OffsetSectionCentroidAtAftEnd Returns the new position with offset of the section centroid at the aft end of the beam element in the global coordinate system.
OffsetSectionCentroidAtForeEnd Returns the new position with offset of the section centroid at the fore end of the beam element in the global coordinate system.
OffsetSectionShearCenterAtAftEnd Returns the new position with offset of the section shear center at the aft end of the beam element in the global coordinate system.
OffsetSectionShearCenterAtForeEnd Returns the new position with offset of the section shear center at the fore end of the beam element in the global coordinate system.
OrientationCoordinateSystem Returns the beam orientation coordinate system.
OrientationDirection Returns the orientation direction.
OrientationNode Returns the orientation node.
OrientationVector Returns the orientation vector of the beam element.
SectionAtAftEnd Returns the cross section at the aft end of the beam element.
SectionAtForeEnd Returns the cross section at the fore end of the beam element.
SectionPropertiesAtAftEnd Returns the section properties at the aft end of the beam element.
SectionPropertiesAtForeEnd Returns the section properties at the fore end of the beam element.

Methods

Method Description
Dispose Destroys the object
GetEndReleasesAtAftEnd Returns the end releases at the aft end of the beam element, that are referred to as pin flags in Nastran.
GetEndReleasesAtForeEnd Returns the end releases at the fore end of the beam element, that are referred to as pin flags in Nastran.

Property Detail

HasSectionAssignedAtAftEnd

BeamElementInfo.HasSectionAssignedAtAftEnd

Returns a boolean value that indicates whether a cross section object is assigned to the aft end of the beam element.

To a constant beam element, when a cross section is defined in the beam mesh physical properties, the section is assigned to both ends of the beam element.

To a tapered beam element:

When two cross sections are defined to the end nodes of the beam chain in the beam mesh physical properties, the fore section is assigned to the fore end of the fore beam element of the beam chain, the aft section is assigned to the aft end of the aft beam element of the beam chain, the section at the other ends are interpolated with these two sections.

When two cross sections are defined to each element in the beam mesh physical properties, the fore section is assigned to the fore end of each element of the beam chain, the aft section is assigned to the aft end of each element of the beam chain.

-------------------------------------

Getter Method

Signature HasSectionAssignedAtAftEnd

Returns:
Return type:bool

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

HasSectionAssignedAtForeEnd

BeamElementInfo.HasSectionAssignedAtForeEnd

Returns a boolean value that indicates whether a cross section object is assigned to the fore end of the beam element.

To a constant beam element, when a cross section is defined in the beam mesh physical properties, the section is assigned to both ends of the beam element.

To a tapered beam element:

When two cross sections are defined to the end nodes of the beam chain in the beam mesh physical properties, the fore section is assigned to the fore end of the fore beam element of the beam chain, the aft section is assigned to the aft end of the aft beam element of the beam chain, the section at the other ends are interpolated with these two sections.

When two cross sections are defined to each element in the beam mesh physical properties, the fore section is assigned to the fore end of each element of the beam chain, the aft section is assigned to the aft end of each element of the beam chain.

-------------------------------------

Getter Method

Signature HasSectionAssignedAtForeEnd

Returns:
Return type:bool

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

IsTapered

BeamElementInfo.IsTapered

Returns a boolean value that indicates whether the beam element is a tapered beam element.

-------------------------------------

Getter Method

Signature IsTapered

Returns:
Return type:bool

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

LanguageOffsetAtAftEnd

BeamElementInfo.LanguageOffsetAtAftEnd

Returns the language specific offset at the aft end of the beam element, that is to offset the shear center of the cross section at the fore end of the beam element to the fore node of the beam element in the nodal displacement coordinate system when current solver is Nastran solver.

For other solvers, it is same with the neutral offset at the aft end of the beam element.

-------------------------------------

Getter Method

Signature LanguageOffsetAtAftEnd

Returns:values are in mm units for metric parts, or inch units for english parts
Return type:NXOpen.Vector3d

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

LanguageOffsetAtForeEnd

BeamElementInfo.LanguageOffsetAtForeEnd

Returns the language specific offset at the fore end of the beam element, that is to offset the shear center of the cross section at the fore end of the beam element to the fore node of the beam element in the nodal displacement coordinate system when current solver is Nastran solver.

For other solvers, it is same with the neutral offset at the fore end of the beam element.

-------------------------------------

Getter Method

Signature LanguageOffsetAtForeEnd

Returns:values are in mm units for metric parts, or inch units for english parts
Return type:NXOpen.Vector3d

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

NeutralOffsetAtAftEnd

BeamElementInfo.NeutralOffsetAtAftEnd

Returns the neutral offset at the aft end of the beam element, that is to offset the centroid of the cross section at the aft end of the beam element to the aft node of the beam element in the neutral coordinate system.

For the neutral coordinate system, its axis x is the element axis.

When the beam orientation is defined by a vector:

If orientation direction is CAE.BeamSectionDirectionOption.Horizontal, axis z is to multiply across axis x and the orientation vector, axis y is to multiply across axis z and axis x.

If orientation direction is CAE.BeamSectionDirectionOption.Vertical, axis y is to multiply across axis x and the orientation vector, axis z is to multiply across axis x and axis y.

When the beam orientation is defined by a node, the orientation vector is the vector which is from the fore end node to the orientation node, axis z is to multiply across axis x and the orientation vector, axis y is to multiply across axis z and axis x.

-------------------------------------

Getter Method

Signature NeutralOffsetAtAftEnd

Returns:values are in mm units for metric parts, or inch units for english parts
Return type:NXOpen.Vector3d

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

NeutralOffsetAtForeEnd

BeamElementInfo.NeutralOffsetAtForeEnd

Returns the neutral offset at the fore end of the beam element, that is to offset the centroid of the cross section at the fore end of the beam element to the fore node of the beam element in the neutral coordinate system.

For the neutral coordinate system, its axis x is the element axis.

When the beam orientation is defined by a vector:

If orientation direction is CAE.BeamSectionDirectionOption.Horizontal, axis z is to multiply across axis x and the orientation vector, axis y is to multiply across axis z and axis x.

If orientation direction is CAE.BeamSectionDirectionOption.Vertical, axis y is to multiply across axis x and the orientation vector, axis z is to multiply across axis x and axis y.

When the beam orientation is defined by a node, the orientation vector is the vector which is from the fore end node to the orientation node, axis z is to multiply across axis x and the orientation vector, axis y is to multiply across axis z and axis x.

-------------------------------------

Getter Method

Signature NeutralOffsetAtForeEnd

Returns:values are in mm units for metric parts, or inch units for english parts
Return type:NXOpen.Vector3d

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

OffsetSectionCentroidAtAftEnd

BeamElementInfo.OffsetSectionCentroidAtAftEnd

Returns the new position with offset of the section centroid at the aft end of the beam element in the global coordinate system.

-------------------------------------

Getter Method

Signature OffsetSectionCentroidAtAftEnd

Returns:values are in mm units for metric parts, or inch units for english parts
Return type:NXOpen.Point3d

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

OffsetSectionCentroidAtForeEnd

BeamElementInfo.OffsetSectionCentroidAtForeEnd

Returns the new position with offset of the section centroid at the fore end of the beam element in the global coordinate system.

-------------------------------------

Getter Method

Signature OffsetSectionCentroidAtForeEnd

Returns:values are in mm units for metric parts, or inch units for english parts
Return type:NXOpen.Point3d

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

OffsetSectionShearCenterAtAftEnd

BeamElementInfo.OffsetSectionShearCenterAtAftEnd

Returns the new position with offset of the section shear center at the aft end of the beam element in the global coordinate system.

-------------------------------------

Getter Method

Signature OffsetSectionShearCenterAtAftEnd

Returns:values are in mm units for metric parts, or inch units for english parts
Return type:NXOpen.Point3d

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

OffsetSectionShearCenterAtForeEnd

BeamElementInfo.OffsetSectionShearCenterAtForeEnd

Returns the new position with offset of the section shear center at the fore end of the beam element in the global coordinate system.

-------------------------------------

Getter Method

Signature OffsetSectionShearCenterAtForeEnd

Returns:values are in mm units for metric parts, or inch units for english parts
Return type:NXOpen.Point3d

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

OrientationCoordinateSystem

BeamElementInfo.OrientationCoordinateSystem

Returns the beam orientation coordinate system.

Axis x is from the fore end node with offset to the aft end node with offset.

When the beam orientation is defined by a vector:

If orientation direction is CAE.BeamSectionDirectionOption.Horizontal, axis z is to multiply across axis x and the orientation vector, axis y is to multiply across axis z and axis x.

If orientation direction is CAE.BeamSectionDirectionOption.Vertical, axis y is to multiply across axis x and the orientation vector, axis z is to multiply across axis x and axis y.

When the beam orientation is defined by a node, the orientation vector is the vector which is from the fore end node with offset to the orientation node, axis z is to multiply across axis x and the orientation vector, axis y is to multiply across axis z and axis x.

-------------------------------------

Getter Method

Signature OrientationCoordinateSystem

Returns:
Return type:NXOpen.Matrix3x3

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

OrientationDirection

BeamElementInfo.OrientationDirection

Returns the orientation direction.

-------------------------------------

Getter Method

Signature OrientationDirection

Returns:
Return type:NXOpen.CAE.BeamSectionDirectionOption

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

OrientationNode

BeamElementInfo.OrientationNode

Returns the orientation node.

Orientation node is returned as None if the beam orientation is defined by a vector.

-------------------------------------

Getter Method

Signature OrientationNode

Returns:
Return type:NXOpen.CAE.FENode

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

OrientationVector

BeamElementInfo.OrientationVector

Returns the orientation vector of the beam element.

If the beam orientation is defined by a node, it returns the vector which points from the fore end node to the orientation node.

-------------------------------------

Getter Method

Signature OrientationVector

Returns:
Return type:NXOpen.Vector3d

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

SectionAtAftEnd

BeamElementInfo.SectionAtAftEnd

Returns the cross section at the aft end of the beam element.

There are two cases that no section can be queried:

No section is assigned to the beam physical property table.

It is a tapered beam mesh. The section of the beam element is interpolated, not a real section. To this case, user could access the section properties.

-------------------------------------

Getter Method

Signature SectionAtAftEnd

Returns:
Return type:NXOpen.CAE.BeamSection

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

SectionAtForeEnd

BeamElementInfo.SectionAtForeEnd

Returns the cross section at the fore end of the beam element.

There are two cases that no section can be queried:

No section is assigned to the beam physical property table.

It is a tapered beam mesh. The section of the beam element is interpolated, not a real section. To this case, user could access the section properties.

-------------------------------------

Getter Method

Signature SectionAtForeEnd

Returns:
Return type:NXOpen.CAE.BeamSection

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

SectionPropertiesAtAftEnd

BeamElementInfo.SectionPropertiesAtAftEnd

Returns the section properties at the aft end of the beam element.

The section properties are not generated only when cross sections are not fully defined in the beam mesh physical properties.

-------------------------------------

Getter Method

Signature SectionPropertiesAtAftEnd

Returns:values are in mm units for metric parts, or inch units for english parts
Return type:NXOpen.CAE.BeamSectionProperties_Struct

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

SectionPropertiesAtForeEnd

BeamElementInfo.SectionPropertiesAtForeEnd

Returns the section properties at the fore end of the beam element.

The section properties are not generated only when cross sections are not fully defined in the beam mesh physical properties.

-------------------------------------

Getter Method

Signature SectionPropertiesAtForeEnd

Returns:values are in mm units for metric parts, or inch units for english parts
Return type:NXOpen.CAE.BeamSectionProperties_Struct

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

Method Detail

Dispose

BeamElementInfo.Dispose

Destroys the object

Signature Dispose()

New in version NX11.0.0.

License requirements: None.

GetEndReleasesAtAftEnd

BeamElementInfo.GetEndReleasesAtAftEnd

Returns the end releases at the aft end of the beam element, that are referred to as pin flags in Nastran.

The values of the end releases are either 0 or 1, 1 represents removing connection between the aft node and selected degrees of freedom, 0 represents not removing the connection.

Signature GetEndReleasesAtAftEnd()

Returns:
Return type:list of int

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

GetEndReleasesAtForeEnd

BeamElementInfo.GetEndReleasesAtForeEnd

Returns the end releases at the fore end of the beam element, that are referred to as pin flags in Nastran.

The values of the end releases are either 0 or 1, 1 represents removing connection between the fore node and selected degrees of freedom, 0 represents not removing the connection.

Signature GetEndReleasesAtForeEnd()

Returns:
Return type:list of int

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)